<template>
  <iFrame :src="openUrl" />
</template>

<script>
import { getToken } from '@/utils/auth'
import iFrame from "@/components/iFrame/index";
let baseURL = process.env.VUE_APP_BASE_API;

export default {
  name: 'JimuReportView',
  components: { iFrame },
  data() {
    return {
      openUrl: '',
    }
  },
  created() {
    const reportId = this.$route.path.substring(this.$route.path.lastIndexOf("/")+1)
    this.openUrl = baseURL + '/jmreport/view/' + reportId + '?token=' +  getToken()
  }
}
</script>

<style scoped>

</style>

